Subject: bug#65665: package-mapping with #:deep? #t doesn't get all the implicit inputs

From: Simon Tournier <[email-masked]>
Date: Tue, 05 Sep 2023 16:57:15 +0200

Hi,

On Thu, 31 Aug 2023 at 15:14, Ulf Herrman <[email-masked]> wrote:

> I propose that we have the build system lower procedure (that is, the
> one that converts from package to bag) completely fill in the argument
> list with all defaults, and we modify build-system-with-package-mapping
> to transform all arguments that look like a package or a list of
> packages (or maybe even a tree containing packages).

On principle, this looks a good idea.

Do you already have an implementation?  Because transformations lead to
headache and sometimes the implementation is hard, well evil, details
and all that. :-)

Cheers,
simon